OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PresentationStyleAssignment Class Reference

`#include <StepVisual_PresentationStyleAssignment.hxx>`

Inheritance diagram for StepVisual_PresentationStyleAssignment:

[legend]

## Public Member Functions
Standard_EXPORT | StepVisual_PresentationStyleAssignment ()
| Returns a PresentationStyleAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepVisual_HArray1OfPresentationStyleSelect)&aStyles)
Standard_EXPORT void | SetStyles (const Handle(StepVisual_HArray1OfPresentationStyleSelect)&aStyles)
Standard_EXPORT Handle_StepVisual_HArray1OfPresentationStyleSelect | Styles () const
Standard_EXPORT StepVisual_PresentationStyleSelect | StylesValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbStyles () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepVisual_HArray1OfPresentationStyleSelect | styles

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PresentationStyleAssignment::StepVisual_PresentationStyleAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_PresentationStyleAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepVisual_PresentationStyleByContext.

virtual Standard_EXPORT void StepVisual_PresentationStyleAssignment::Init | ( | const Handle(StepVisual_HArray1OfPresentationStyleSelect)& | aStyles | ) | `[virtual]`

| Reimplemented in StepVisual_PresentationStyleByContext.

Standard_EXPORT Standard_Integer StepVisual_PresentationStyleAssignment::NbStyles | ( |  | ) | const

Standard_EXPORT void StepVisual_PresentationStyleAssignment::SetStyles | ( | const Handle(StepVisual_HArray1OfPresentationStyleSelect)& | aStyles | ) |

Standard_EXPORT Handle_StepVisual_HArray1OfPresentationStyleSelect StepVisual_PresentationStyleAssignment::Styles | ( |  | ) | const

Standard_EXPORT StepVisual_PresentationStyleSelect StepVisual_PresentationStyleAssignment::StylesValue | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_StepVisual_HArray1OfPresentationStyleSelect StepVisual_PresentationStyleAssignment::styles`[private]`

The documentation for this class was generated from the following file:

- StepVisual_PresentationStyleAssignment.hxx